#!/bin/sh
#[gghibo]

if [ ! -e xf86-video-intel ]; then
	git clone https://gitlab.freedesktop.org/xorg/driver/xf86-video-intel
else
	pushd xf86-video-intel
		git pull
	popd
fi

pushd xf86-video-intel

	DATE=$(git log -n 1 --pretty='format:%cd' --date=format:'%Y%m%d')
	VER=$(git  describe --tags --abbrev=0)

	git archive --prefix=xf86-video-intel-${VER}/ origin/master | \

	xz -T0 -9e -v > ../xf86-video-intel-${VER}-git${DATE}.tar.xz

	ls -l ../xf86-video-intel-${VER}-git${DATE}.tar.xz

popd
